Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception.spi
Interface ViolatedConstraintNameExtracter

All Known Implementing Classes:
  TemplatedViolatedConstraintNameExtracter

    public interface ViolatedConstraintNameExtracter

Defines a contract for implementations that can extract the name of a violated constraint from a SQLException that is the result of that constraint violation.

Method Summary
`String` | `extractConstraintName(SQLException sqle)` Extract the name of the violated constraint from the given SQLException.

Method Detail

### extractConstraintName

    String extractConstraintName(SQLException sqle)

  Extract the name of the violated constraint from the given SQLException.

  Parameters:
    `sqle` - The exception that was the result of the constraint violation.
  Returns:
    The extracted constraint name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.